#ifndef FILTER_DIALOGS_H
#define FILTER_DIALOGS_H

#include <kdialogbase.h>

#include "filter.h"

class KListView;

namespace Konvert
{
//-----------------------------------------------------------------------------
class MimetypesDialog : public KDialogBase
{
  Q_OBJECT
public:
  MimetypesDialog(QWidget *parent);

private slots:
  void selectionChanged();

private:
  KListView *_sourceList, *_destList;
};

//-----------------------------------------------------------------------------
class FiltersDialog : public KDialogBase
{
  Q_OBJECT
public:
  FiltersDialog(QWidget *parent);

private slots:
  void selectionChanged();

private:
  KListView *_filters, *_details;
};

} // namespace

#endif
