#ifndef AUDIO_FILTER_H
#define AUDIO_FILTER_H

#include "filter.h"

namespace Konvert
{
void addAudioFilters(QPtrList<Filter> &list);

//-----------------------------------------------------------------------------
class SoxAudioFilter : public MultiTypeProcessFilter
{
  Q_OBJECT
public:
  SoxAudioFilter();

private:
  static const CodeData CODE_DATA[];
  static const Data DATA;

  virtual QStringList args(const QString &source, const MimeType &sourceType,
                          const QString &dest, const MimeType &destType) const;
  virtual QStringList extractCodes(IOType type, const QStringList &lines) const;
};

//-----------------------------------------------------------------------------
class LameAudioFilter : public ProcessFilter
{
  Q_OBJECT
public:
  LameAudioFilter();
};

} // namespace

#endif
